
Redmine - Defect #18584

Custom fields of user format reset when a user is locked

2014-12-05 22:29 - Cory Riddell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.4.2

Description

Terrible title, but I'll try to explain with our specific problem.

We created a custom field named "Tester" and its format is "User". When somebody tests an issue that we've marked resolved, they

set themselves as the tester.

This works very well for us because I can search for all the issues for which I am a tester. It fails though, when an employee leaves

the company and we lock the user account. From that point on, any edits to the bug will reset our custom Tester field and make it

empty.

We are currently using v2.4.2 or Redmine.

Associated revisions

Revision 13722 - 2014-12-06 12:19 - Jean-Philippe Lang

Adds a test for #18584.

History

#1 - 2014-12-06 12:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

This was fixed in 2.5 while refectoring custom field formats. A test is added in r13722 to make sure that any user that was assigned to a custom field

is proposed even if it was locked or removed from the project.
